package com.logicbig.example.bean;

import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;
import jakarta.annotation.PostConstruct;

@Lazy
@Service("basic-service")
public class ServiceImplA implements MyService {

    @PostConstruct
    private void init() {
        System.out.println("initializing lazily " +
                this.getClass().getSimpleName());
    }

    @Override
    public String getMessage() {
        return "Message from " + getClass().getSimpleName();
    }
}